공통 매개변수
이 파라미터들은 모든 Amazon type에서 공통으로 작동합니다. 타입별 파라미터(예: type=product의 asin 또는 seller 타입의 seller_id)는 각 엔드포인트 페이지에 있습니다.
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | Your SERP API key |
engine | string | yes | Must be amazon |
type | string | yes | Which surface (search, product, bestsellers, deals, category, seller_profile, seller_products, seller_feedback) |
domain | string | no | Target marketplace (e.g. amazon.co.uk, amazon.de). Default amazon.com |
device | desktop | mobile | no | Simulated device |
page | integer | no | Page number for paginated types |
output | json | html | no | Response format. Default json |
Device and marketplace examples
섹션 제목: “Device and marketplace examples”전자제품 카테고리의 미국 데스크톱 베스트셀러:
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=bestsellers&category_id=electronics&domain=amazon.com"독일 모바일 검색:
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=laptop&domain=amazon.de&device=mobile"Pagination
섹션 제목: “Pagination”page는 1부터 시작합니다. 응답에 next_page URL이 포함되어 있으면 이를 직접 따라가거나 page를 증가시키십시오.
# Page 1curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=books&page=1"
# Page 2curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=books&page=2"